## londonlaw 0.2.1

=== doc/Makefile ===
# London Law documentation makefile
all: manual.pdf manual.html post-build-cleanup

manual.ps: manual.dvi
	dvips -tletterSize -Ppdf -G0 manual.dvi

manual.dvi: manual.tex
	latex manual.tex
	latex manual.tex

manual.pdf: manual.ps
	ps2pdf13 manual.ps

manual.html: manual.tex
	hevea manual.tex

post-build-cleanup: manual.pdf manual.html
	rm -f *.aux *.log *.dvi *.ps

clean:
	rm -f *.aux *.log *.dvi *.ps *.pdf *.html




# arch-tag: DO_NOT_CHANGE_7fb16864-342a-429b-83ed-6a12821406fe

=== debian/changelog ===
londonlaw (0.2.1-18) unstable; urgency=medium

  [ Olly Betts ]
  * Update to work with wxPython 3.0 (Closes: #759084):
    + New patch wxpy3.0-compat.patch, incorporating updated version of
      01_wx24_fix.patch.

  [ Juhani Numminen ]
  * debian/control:
    + Add myself to Uploaders.
    + Merge Build-Depends and -Indep. The both had to be installed anyway
      to build this package.
    + Wrap-and-sort Build-Depends and Depends.
    + Update Depends on python-wxgtk2.8 to python-wxgtk3.0 and
      python-zopeinterface to python-zope.interface.
    + Update VCS fields.
    + Change to debhelper (>= 9), dh-python. Drop cdbs.
    + Change Priority to optional.
    + Fix the format of X-Python-Version to comply with python policy.
    + Bump Standards-Version to 3.9.6. No changes required.
  * debian/rules:
    + Move installing and cleaning into new files d/install and d/clean.
    + Change to debhelper (>= 9), dh-python. Drop cdbs.
  * debian/patches/python-zope-fixes.patch: Add a DEP-3 patch header.
  * debian/londonlaw.desktop: Add some Keywords.
  * debian/copyright: Rewrite to copyright-format 1.0.
  * debian/compat: Change to 9.
  * debian/docs: Add doc/TODO and doc/readme.protocol.
  * debian/watch: Switch to version 3.
  * debian/doc-base: New file to register the manual with doc-base.
  * Rename to simplify packaging file names:
    + debian/londonlaw.links    -> debian/links
    + debian/londonlaw.manpages -> debian/manpages
  * Not needed or applicable anymore, drop these files:
    - debian/londonlaw.dirs
    - debian/londonlaw.overrides
    - debian/pycompat
    - debian/source.lintian-overrides

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 05 Oct 2014 09:54:55 +0300

londonlaw (0.2.1-17) unstable; urgency=low

  * Team upload.
  * Fix loading wrong wx version. Refresh 01_wx24_fix.patch to use wxpython 2.8.
  * Update to standards version 3.9.4. No changes necessary.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sun, 20 Oct 2013 17:28:29 +0200

londonlaw (0.2.1-16) unstable; urgency=low

  * Team upload.
  * Acknowledge previous NMUs, changes are integrated into Games Team's git
  * Install an XPM icon for Debian's menu system (Closes: #726811)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sun, 20 Oct 2013 15:18:29 +0200

londonlaw (0.2.1-15.2) unstable; urgency=low

  * Non maintainer upload.
  * Remove explicit dependency on python2.6. Closes: #653803.

 -- Matthias Klose <doko@debian.org>  Thu, 16 May 2013 16:48:31 +0200

londonlaw (0.2.1-15.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use python-wxgtk2.8.

 -- Olly Betts <olly@survex.com>  Thu, 24 Nov 2011 23:17:12 +0000

londonlaw (0.2.1-15) unstable; urgency=low

  * Team upload.
  * Update londonlaw.desktop:
    * Remove deprecated Encoding variable from londonlaw.desktop
    * Don't use absolute path to londonlaw.png in Icon variable
  * Update to standards version 3.9.2. No changes

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sun, 05 Jun 2011 00:10:36 +0200

londonlaw (0.2.1-14) unstable; urgency=low

  * Use dh_python2 instead of python-central in debian/rules. (Closes: #616877)
    * Drop build-dependency on python-central
    * Remove XB-Python-Version from debian/control
    * Bump versioned build-dependency of cdbs to 0.4.90
    * Remove DEB_PYTHON_SYSTEM variable from debian/rules
    * Make python2.6 a versioned build-dependency and require at least
      python2.6 2.6.6-3
    * Add python-support as build-dependency

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 10 Mar 2011 18:49:05 +0100

londonlaw (0.2.1-13) unstable; urgency=low

  * Acknowledge cleanung up the package by Jonas Smedegaard
    * Get rid of cdbs and debhelper mixture
    * Properly fix the installation of some in /usr/local

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 03 Aug 2010 13:31:31 -0400

londonlaw (0.2.1-12) unstable; urgency=low

  * Rename misleading named patch debian-changes-0.2.1-11 to
    python-zope-fixes.patch and drop off-topic generated comments from it
  * Update to standards version 3.9.1 without changes
  * Add --install-data= parameter to DEB_PYTHON_INSTALL_ARGS_ALL in the rules
    file. This avoids the game data to be installed in /usr/local/

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sun, 01 Aug 2010 12:06:05 -0400

londonlaw (0.2.1-11) unstable; urgency=low

  * Convert the package to source format 3.0
  * Fix dead URL in the watch file
  * Bump standards version to 3.8.3. No changes required
  * Add manpages for london-client and -server binaries
  * Corrected dead URL in watch file
  * As required by the Debian policy, replace "copyright" by the unicode
    character © in the copyright file and add the author's E-Mail address

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sat, 21 Nov 2009 20:01:29 +0100

londonlaw (0.2.1-10) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * "Hijacking" package in accordance with Reinhard ;-) Londonlaw is now
    maintained by the Debian Games Team
  * Add build dependency texlive-fonts-recommended (Closes: #527809)
  * Switch over to git as revision control system
  * Update debian standards version to 3.8.2. There were no changes necessary.
  * The binary package's dependency field was lacking ${misc:Depends}. Lintian
    complained about this.
  * Raised debhelper compatibility version from 4 to 5. Lintian complained about
    this.
  * debian/londonlaw.desktop file:
    * Mention network support in the Comment field
    * Add a german translation of the Comment field
    * Display an icon in the menu
    * Remove dh_desktop, since it doesn't do anything anymore. Thanks again to
      lintian

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 19 Jun 2009 15:52:20 +0200

londonlaw (0.2.1-9.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490477.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:52:32 +0000

londonlaw (0.2.1-9) unstable; urgency=low



=== debian/control ===
Source: londonlaw
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
           Juhani Numminen <juhaninumminen0@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               hevea,
               imagemagick,
               python (>= 2.6.6-3~),
               texlive-fonts-recommended,
               texlive-latex-extra
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: http://pessimization.com/software/londonlaw/
Vcs-Git: git://anonscm.debian.org/pkg-games/londonlaw.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/londonlaw.git

Package: londonlaw
Architecture: all
Depends: python-twisted-core,
         python-wxgtk3.0,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Description: Scotland Yard board game with network support
 London Law is an online multiplayer adaptation of the classic Scotland Yard
 board game (also see Wikipedia), first published by Ravensburger in 1983. The
 game is unusually asymmetric; one player controls the movements of the criminal
 Mr. X as he tries to evade Scotland Yard, while another one to five players
 control five detectives trying to track him down. Mr. X has an advantage in
 access to transportation routes, and his precise location remains hidden for
 most of the game. The detectives have only the advantage of superior numbers,
 so they must work in concert to limit the criminal's options. London Law
 features an attractive map overlaid on high-resolution satellite imagery.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc all
	convert -monitor -resize 32x32 \
		londonlaw/guiclient/images/ticket3.png \
		debian/londonlaw.xpm

override_dh_auto_install:
	dh_auto_install -- --install-scripts=usr/games

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C doc clean

=== debian/watch ===
version=3
http://pessimization.com/software/londonlaw londonlaw-([\.\d]+)\.tar\.gz
